# Update a host by host ID

Modifies the properties of a host.

Endpoint: PATCH /api/v1/sites/{siteId}/hosts/{hostId}
Version: v1
Security: Bearer

## Security:

  - `Bearer` (unknown)
    http Bearer

## Path parameters:

  - `siteId` (string, required)
    The identifier of the site.

  - `hostId` (string, required)
    The identifier of the host.

## Query parameters:

  - `environmentId` (string)
    The identifier of the environment

## Request body:

  - `application/json, text/json, application/*+json` (unknown)
    New parameter values for the host.

## Request fields (application/json):

  - `name` (string)
    Name of the host
Example value: skate-park
    Example: skate-park

  - `hostnames` (array)
    One or more hostnames.
Example value: [
"dev.skate-park.com",
"uat.skate-park.com"
]
    Example: ["dev.skate-park.com","uat.skate-park.com"]

  - `targetHostname` (string)
    The target hostname.
Example value: www.skate-park.com
    Example: www.skate-park.com

  - `renderingHost` (string)
    The rendering host.
Example value: Default
    Example: Default

  - `editingHost` (string)
    The rendering host.
Example value: Default
    Example: Default

  - `homePageId` (string)
    The identifier of the home page.
Example value: 110d559fdea542ea9c1c8a5df7e70ef9
    Example: 110d559fdea542ea9c1c8a5df7e70ef9

  - `thumbnail` (string)
    The thumbnail information.

  - `analyticsIdentifiers` (array)
    The list of analytics tracker identifiers mapped to the host, per language.

  - `analyticsIdentifiers.name` (string, required)
    The name of the analytics identifier.
Example value: skate-park
    Example: skate-park

  - `analyticsIdentifiers.language` (string, required)
    The language for the analytics identifier.
Example value: en
    Example: en

  - `settings` (object)
    The host settings collection.

  - `languageSettings` (object)
    The language settings of the host.

  - `languageSettings.defaultLanguage` (string)
    The default language.
Example value: en
    Example: en

  - `languageSettings.languageEmbedding` (boolean)
    Whether language embedding is enabled.
Example value: False
    Example: false

  - `languageSettings.itemLanguageFallback` (boolean)
    Whether item language fallback is enabled.
Example value: False
    Example: false

  - `languageSettings.fieldLanguageFallback` (boolean)
    Whether field language fallback is enabled.
Example value: False
    Example: false

## Response 204:

  - `204` (unknown)
    No content

## Response 400:

  - `400` (unknown)
    Bad request

## Response 400 fields (application/json):

  - `type` (string)
    The type of the error response entity.

  - `title` (string)
    The title of the error response entity.

  - `status` (integer)
    The response status code.

  - `detail` (string)
    A detailed explanation, specific to this occurrence of the problem.

  - `instance` (string)
    If available, a URI reference that identifies the specific occurrence of the problem.

## Response 404:

  - `404` (unknown)
    Not found

## Response 404 fields (application/json):

  - `type` (string)
    The type of the error response entity.

  - `title` (string)
    The title of the error response entity.

  - `status` (integer)
    The response status code.

  - `detail` (string)
    A detailed explanation, specific to this occurrence of the problem.

  - `instance` (string)
    If available, a URI reference that identifies the specific occurrence of the problem.

## Response 409:

  - `409` (unknown)
    Conflict

## Response 409 fields (application/json):

  - `type` (string)
    The type of the error response entity.

  - `title` (string)
    The title of the error response entity.

  - `status` (integer)
    The response status code.

  - `detail` (string)
    A detailed explanation, specific to this occurrence of the problem.

  - `instance` (string)
    If available, a URI reference that identifies the specific occurrence of the problem.

